{{ define "content" }}

<div class="container">

  {{if .Options.Get "update"}}
  <ol class="breadcrumb">
    <li><a href="/activities?{{query "tpl_layout" "base" "tpl_content" "activities"}}">Attività</a></li>
    <li class="active"><a href="#">Aggiorna l'attività</a></li>
  </ol>  
  {{else}}  
  <ol class="breadcrumb">
    <li><a href="/activities?{{query "tpl_layout" "base" "tpl_content" "activities"}}">Attività</a></li>
    <li class="active"><a href="#">Aggiungi</a></li>
  </ol>
  {{end}}

  {{if .Options.Get "update"}}
  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>Aggiorna l'attività</h1>
      </div>
      <div class="col-md-4">
	<a href="/activities/{{.Data.Activity.ID}}/delete"
	   data-url="/activities/{{.Data.Activity.ID}}/delete"
	   class="btn btn-danger karmen-ajax-delete pull-right">
	  <span class="glyphicon glyphicon-trash" aria-hidden="true"></span>
	  Elimina
	</a>
      </div>
    </div>
  </div>
  
  {{else}}
  <h1 class="karmen-info-header">Crea una nuova attività</h1>
  {{end}}

  {{if .Options.Get "update"}}
  <form id="form_activities_add_update" action="/activities/{{.Data.Activity.ID}}/update" method="POST" role="form" data-toggle="validator">
  {{else}}
  <form id="form_activities_add_update" action="/activities/add/" method="POST" role="form" data-toggle="validator">
  {{end}}
   
    <div class="form-group">
      <label class="control-label" for="subject_id">Materia</label>
      <select name="subject_id" class="form-control selectpicker" id="subject_id" placeholder="Materia" data-live-search="true" form="form_activities_add_update" title="Seleziona il nome della materia" data-dropup-auto="false" required>
	<option value="0"></option>
  	{{range $subject := .Data.AllSubjects}}
	{{if $.Options.Get "update"}}
  	<option
	   value="{{$subject.ID}}"
	   {{index $.Data.SelectedSubject $subject.ID}}>{{$subject.Name}}
	</option>
	{{else}}
  	<option value="{{$subject.ID}}">{{$subject.Name}}</option>
	{{end}}
  	{{end}}
      </select>
    </div>
    
    <div class="form-group">
      <label class="control-label" for="class_id">Classe</label>
      <select name="class_id" class="form-control selectpicker" id="class_id" placeholder="Materia" data-live-search="true" form="form_activities_add_update" title="Seleziona il nome della materia" data-dropup-auto="false" required>
	<option value="0"></option>
  	{{range $class := .Data.AllClasses}}
	{{if $.Options.Get "update"}}
  	<option
	   value="{{$class.ID}}"
	   {{index $.Data.SelectedClass $class.ID}}>{{$class.Name}}
	</option>
	{{else}}
  	<option value="{{$class.ID}}">{{$class.Name}}</option>
	{{end}}
  	{{end}}
      </select>
    </div>

    <div class="form-group">
      <label class="control-label" for="teacher_id">Docente</label>
      <select name="teacher_id" class="form-control selectpicker" id="teacher_id" placeholder="Docente" data-live-search="true" form="form_activities_add_update" title="Seleziona il nome del docente" data-dropup-auto="false">
	<option value="0"></option>
  	{{range $teacher := .Data.AllTeachers}}
	{{if $.Options.Get "update"}}
  	<option
	   value="{{$teacher.ID}}"
	   {{index $.Data.SelectedTeacher $teacher.ID}}>{{$teacher.Name}} {{$teacher.Surname}}
	</option>
	{{else}}
  	<option value="{{$teacher.ID}}">{{$teacher.Name}} {{$teacher.Surname}}</option>
	{{end}}
  	{{end}}
      </select>
    </div>
    
    <div class="form-group">
      <label class="control-label" for="hours">Numero di ore</label>
      <input class="form-control" min="0" type="number" name="hours" id="hours" {{if .Options.Get "update"}}value="{{.Data.Activity.Hours}}"{{end}} required>
    </div>

    <div class="form-group">
      <button type="submit" class="btn btn-primary">Salva</button>
      {{if .Options.Get "update"}}
      <a href="/activities/{{.Data.Activity.ID}}?{{query "tpl_layout" "base" "tpl_content" "activities_show"}}" class="btn btn-default">Annulla</a>
      {{else}}
      <a href="/activities?{{query "tpl_layout" "base" "tpl_content" "activities"}}" class="btn btn-default">Annulla</a>
      {{end}}
    </div>
    
  </form>

</div>

{{ end }}
